VETHER(4)

NAME
vether - virtual Ethernet interface

SYNOPSIS
pseudo-device vether

DESCRIPTION
The vether interface simulates a normal Ethernet interface by encapsulating standard network frames with an Ethernet header, specifically for use as a member in a bridge(4).

To use vether the administrator needs to configure an address onto the interface so that packets can be routed to it. An Ethernet header will be prepended and, if the vether interface is a member of a bridge, the frame will show up there.

SEE ALSO
bridge(4), inet(4), inet6(4), hostname.if(5), ifconfig(8), netstart(8)

BUGS
Like tun(4), the Ethernet address chosen will be partially random, and may occasionally collide with another address.